%global svnrev 238

Name:           stax-utils
Version:        0
Release:        0.7.20110309svn%{svnrev}%{?dist}
Summary:        StAX utility classes
License:        BSD
URL:            http://java.net/projects/stax-utils/
# svn export -r 238 https://svn.java.net/svn/stax-utils~svn/trunk/ stax-utils-svn238
# rm -rf stax-utils-svn238/lib
# tar caf stax-utils-svn238.tar.xz stax-utils-svn238
Source0:        %{name}-svn%{svnrev}.tar.xz
# This is the only pom I could find.  I'm updating the version after download.
Source1:        http://repo1.maven.org/maven2/net/java/dev/stax-utils/stax-utils/20060502/stax-utils-20060502.pom

# This patch fixes several things:
# 1. Use Java 1.7 as the build source and target
# 2. Remove dependency on jsr 173 code
# 3. Do not attempt to pull docs from the web
Patch0:         %{name}-build-fixes.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils

%description
This is a set of utility classes that make it easy for developers to
integrate StAX into their existing XML processing applications.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n stax-utils-svn%{svnrev}
%patch0 -p1

%build
ant jar
ant javadoc

%check
ant test

%install
install -d -m 755 %{buildroot}%{_javadir}
cp -p build/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
# Reflect latest commit date in version
sed -i -e 's/20060502/20110309/' %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}
cp -rp build/javadoc %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc docs/COPYRIGHT.TXT LICENSE

%files javadoc
%doc docs/COPYRIGHT.TXT LICENSE
%{_javadocdir}/%{name}


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20110309svn238
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0-0.6.20110309svn238
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20110309svn238
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 02 2013 Matt Spaulding <mspaulding06@gmail.com> - 0-0.4.20110309svn238
- Added ant-junit dependency

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20110309svn238
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 13 2012 Andy Grimm <agrimm@gmail.com> - 0-0.2.20110309svn238
- fixes to spec file comments

* Wed Aug 08 2012 Andy Grimm <agrimm@gmail.com> - 0-0.1.20110309svn238
- Change version to match Fedora guidelines

* Tue Jul 24 2012 Andy Grimm <agrimm@gmail.com> - 20110309-2
- Fixes for package review

* Fri Feb 17 2012 Andy Grimm <agrimm@gmail.com> - 20110309-1
- Initial package
